#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int main(int argc, char *argv[]) {
	int opt;

	while ((opt = getopt(argc, argv, ":if:nl")) != -1) {
		switch(opt) {
			case 'n':
				mkevent();
				break;
			case 'l':
				printevents();
				break;
			case '?':
				printf("unknown option: %c\n", optopt);
				printf("usage: %c -l -n DATE EVENT_NAME\n", argv[0]);
				break;
		}
	}

	for (; optind < argc; optind++) {
		printf("extra arguments: %s\n", argv[optind]);
	}

	return 0;
}
